Difference between revisions of "Login error 2.0.14" From Online Manual

Jump to: navigation, search
Line 4: Line 4:
  
 
SMF 2.0.14+ now requires the following code added in the <form> tag  just add in the closing </form> tag in any login form.
 
SMF 2.0.14+ now requires the following code added in the <form> tag  just add in the closing </form> tag in any login form.
 
+
{{code|1=
 
<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
 
<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
 
+
}}
  
 
This code is used to help increase security for SMF.
 
This code is used to help increase security for SMF.
  
 
[[Category:FAQ]]
 
[[Category:FAQ]]

Revision as of 12:49, 2 July 2017

You installed the 2.0.14 update or installed 2.0.14 directly and started having problems with users logging into your forum

If your custom theme has a login form such as in the index.template.php or boardindex.template.php or in the login.template.php

SMF 2.0.14+ now requires the following code added in the <form> tag just add in the closing </form> tag in any login form.

<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />

This code is used to help increase security for SMF.